Drawdowns {PerformanceAnalytics} | R Documentation

## Find the drawdowns and drawdown levels in a timeseries.

### Description

`findDrawdowns` will find the starting period, the ending period, and the amount and length of the drawdown.

### Usage

    Drawdowns(R, geometric = TRUE, ...)

    findDrawdowns(R, geometric = TRUE, ...)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`geometric` | utilize geometric chaining (TRUE) or simple/arithmetic chaining (FALSE) to aggregate returns, default TRUE
`...` | any other passthru parameters

### Details

Often used with `sortDrawdowns` to get the largest drawdowns.

`Drawdowns` will calculate the drawdown levels as percentages, for use in `chart.Drawdown`.

Returns an unordered list:

- return depth of drawdown

- from starting period

- to ending period

- length length in periods

### Author(s)

Peter Carl

`findDrawdowns` modified with permission from function by Sankalp Upadhyay

### References

Bacon, C. Practical Portfolio Performance Measurement and Attribution. Wiley. 2004. p. 88

### See Also

`sortDrawdowns`
`maxDrawdown`
`sortDrawdowns`
`table.Drawdowns`
`table.DownsideRisk`
`chart.Drawdown`

### Examples

    data(edhec)
    findDrawdowns(edhec[,"Funds of Funds", drop=FALSE])
    sortDrawdowns(findDrawdowns(edhec[,"Funds of Funds", drop=FALSE]))

[Package PerformanceAnalytics version 1.5.3 Index]